> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read



## OpenAPI

````yaml /openapi.json get /v1/collaborations/{collabId}/presentation
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/collaborations/{collabId}/presentation:
    get:
      tags:
        - Client Presentation Guest
      summary: Read
      operationId: ClientPresentationGuestController_read_v1
      parameters:
        - name: collabId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GuestPresentationDto'
components:
  schemas:
    GuestPresentationDto:
      type: object
      properties:
        theme:
          type:
            - object
            - 'null'
          additionalProperties: true
        layout:
          enum:
            - template
            - standard
          type: string
        sections:
          type: array
          items:
            type: object
            additionalProperties: true
        slides:
          type:
            - object
            - 'null'
          additionalProperties: true
        presentationRevision:
          type: number
        signing:
          $ref: '#/components/schemas/PresentationSigningDto'
        locale:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        contentHash:
          type:
            - string
            - 'null'
        signerBindings:
          type: array
          items:
            type: object
        reviewTemplate:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        name:
          type: string
        message:
          type:
            - string
            - 'null'
        workspaceName:
          type: string
        sender:
          $ref: '#/components/schemas/GuestSenderDto'
        parties:
          $ref: '#/components/schemas/PresentationPartiesDto'
        versionLabel:
          type: string
        projectName:
          type:
            - string
            - 'null'
        projectNumber:
          type:
            - string
            - 'null'
        expired:
          type: boolean
        canAnswer:
          type: boolean
        version:
          $ref: '#/components/schemas/GuestVersionDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/GuestItemDto'
        review:
          $ref: '#/components/schemas/GuestReviewDto'
        previousReview:
          anyOf:
            - $ref: '#/components/schemas/GuestReviewDto'
            - type: 'null'
      required:
        - layout
        - sections
        - slides
        - currency
        - name
        - message
        - workspaceName
        - sender
        - parties
        - versionLabel
        - projectName
        - projectNumber
        - expired
        - canAnswer
        - version
        - items
        - review
        - previousReview
    PresentationSigningDto:
      type: object
      properties:
        status:
          type: string
        required:
          type: array
          items:
            $ref: '#/components/schemas/PresentationRequiredSignerDto'
        countersignature:
          type: boolean
        countersigned:
          type: boolean
      required:
        - status
        - required
        - countersignature
        - countersigned
    GuestSenderDto:
      type: object
      properties:
        name:
          type: string
      required:
        - name
    PresentationPartiesDto:
      type: object
      properties:
        client:
          anyOf:
            - $ref: '#/components/schemas/PresentationClientPartyDto'
            - type: 'null'
        studio:
          $ref: '#/components/schemas/PresentationStudioPartyDto'
      required:
        - client
        - studio
    GuestVersionDto:
      type: object
      properties:
        'n':
          type: number
        sharedAt:
          type: string
        changeSummary:
          type:
            - string
            - 'null'
      required:
        - 'n'
        - sharedAt
        - changeSummary
    GuestItemDto:
      type: object
      properties:
        slotId:
          type: string
        refNumber:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        manufacturer:
          type:
            - string
            - 'null'
        area:
          type:
            - string
            - 'null'
        quantity:
          type:
            - string
            - 'null'
        extraQuantity:
          type:
            - string
            - 'null'
        quantityUnit:
          type:
            - string
            - 'null'
        purchasingUnit:
          type: string
          enum:
            - packages
            - units
        unitsPerPackage:
          type:
            - string
            - 'null'
        areaQuantities:
          type: array
          items:
            type: object
            properties:
              areaId:
                type: string
              quantity:
                type:
                  - string
                  - 'null'
              roomCount:
                type: number
              roomsDiffer:
                type: boolean
              areaTotal:
                type:
                  - string
                  - 'null'
            required:
              - areaId
              - quantity
              - roomCount
        unitPrice:
          type:
            - string
            - 'null'
        sourceItemId:
          type:
            - string
            - 'null'
        displayFields:
          type: object
          additionalProperties: true
        currency:
          type:
            - string
            - 'null'
        subtotal:
          type:
            - string
            - 'null'
        taxRate:
          type:
            - string
            - 'null'
        taxLabel:
          type:
            - string
            - 'null'
        taxAmount:
          type:
            - string
            - 'null'
        total:
          type:
            - string
            - 'null'
        previousUnitPrice:
          type:
            - string
            - 'null'
        priceDelta:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        dimensions:
          type:
            - string
            - 'null'
        alternatives:
          type: array
          items:
            $ref: '#/components/schemas/ClientPresentationAlternativeDto'
      required:
        - slotId
        - refNumber
        - name
        - imageUrl
        - manufacturer
        - area
        - quantity
        - unitPrice
        - finish
        - dimensions
        - alternatives
    GuestReviewDto:
      type: object
      properties:
        revision:
          type:
            - number
            - 'null'
        source:
          type:
            - string
            - 'null'
          enum:
            - offline
            - portal
            - null
        offline:
          type: object
          properties:
            attestorId:
              type: string
            responseDate:
              type: string
            note:
              type:
                - string
                - 'null'
            recordedAt:
              type: string
            evidence:
              type: object
              properties:
                name:
                  type: string
                bytes:
                  type: number
                sha256:
                  type: string
              selfRequired: true
          required:
            - attestorId
            - responseDate
            - note
            - recordedAt
            - evidence
        status:
          type: string
          enum:
            - in_progress
            - submitted
            - not_viewed
            - viewed
        submittedAt:
          type:
            - string
            - 'null'
        decisions:
          type: object
          additionalProperties: true
      required:
        - offline
        - status
        - submittedAt
        - decisions
    PresentationRequiredSignerDto:
      type: object
      properties:
        role:
          type: string
        userId:
          type: string
        signed:
          type: boolean
      required:
        - role
        - userId
        - signed
    PresentationClientPartyDto:
      type: object
      properties:
        name:
          type: string
        address:
          type:
            - string
            - 'null'
      required:
        - name
        - address
    PresentationStudioPartyDto:
      type: object
      properties:
        name:
          type: string
        legalName:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        logoUrl:
          type:
            - string
            - 'null'
      required:
        - name
        - legalName
        - address
        - logoUrl
    ClientPresentationAlternativeDto:
      type: object
      properties:
        inStock:
          type:
            - boolean
            - 'null'
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        vendor:
          type:
            - string
            - 'null'
        price:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        dimensions:
          type:
            - string
            - 'null'
        leadTime:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
      required:
        - inStock
        - id
        - name
        - vendor
        - price
        - finish
        - dimensions
        - leadTime
        - imageUrl

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.